%global srcname psutil

Name:           python-%{srcname}
Version:        3.4.2
Release:        %mkrel 1
Summary:        Module providing an interface for retrieving information on all running processes
Group:          Development/Python
License:        MIT
URL:            https://github.com/giampaolo/psutil
Source0:        https://github.com/giampaolo/psutil/archive/release-%{version}/%{srcname}-%{version}.tar.xz
BuildRequires:  python-devel

%description
psutil is a module providing an interface for retrieving information
on all running processes and system utilization (CPU, memory, disks,
network, users) in a portable way by using Python, implementing many
functionalities offered by command line tools.

%files
%doc CREDITS HISTORY.rst README.rst
%{python2_sitearch}/%{srcname}/
%{python2_sitearch}/*.egg-info/

%package -n     python3-%{srcname}
Summary:        Module providing an interface for retrieving information on all running processes
Group:          Development/Python
BuildRequires:  python3-devel

%description -n python3-%{srcname}
psutil is a module providing an interface for retrieving information
on all running processes and system utilization (CPU, memory, disks,
network, users) in a portable way by using Python, implementing many
functionalities offered by command line tools.
This is the Python 3 build of %{srcname}.

%files -n python3-%{srcname}
%doc CREDITS HISTORY.rst README.rst
%{python3_sitearch}/%{srcname}/
%{python3_sitearch}/*.egg-info/

#--------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-release-%{version}

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
	%py3_build
popd

%install
rm -rf %buildroot
%py2_install

pushd %{py3dir}
	%py3_install
popd



%changelog
* Thu Oct 13 2016 adrianomorselli <adrianomorselli> 3.4.2-1uplos2016
- rebuild

* Fri Apr 08 2016 bb <bb> 3.4.2-1pclos2016
- update

